include:
  - project: 'fit-connect/pipeline'
    ref: main
    file: 'reuse.gitlab-ci.yml'

stages:
  - lint
  - build
  - test

cache:
  paths:
    - .m2/repository/
    
build:
  image: maven:latest
  stage: build
  script:
    - ./mvnw $MAVEN_CLI_OPTS clean install -DskipTests --no-transfer-progress -T2

test:
  image: maven:latest
  stage: test
  script:
    - ./mvnw $MAVEN_CLI_OPTS test --no-transfer-progress -T2
